# 1 "piclfrutree.info" 







































VERSION 1.1
NODE frutree picl
    NODE chassis fru
	



    	PROP ViewPoints string r 0 "front rear side"
	    NODE MB location
		PROP SlotType string r 0 "system-board"
		PROP Label string r 0 "MB"
	    ENDNODE
	    NODE F0 location
	        PROP SlotType string r 0 "fan-unit"
	        PROP Label string r 0 "F0"
        	    NODE intake-fan fru
        	    ENDNODE
	    ENDNODE
            NODE F1 location
                PROP SlotType string r 0 "fan-unit"
                PROP Label string r 0 "F1"
        	    NODE cpu0-fan fru
        	    ENDNODE
            ENDNODE
            NODE F2 location
                PROP SlotType string r 0 "fan-unit"
                PROP Label string r 0 "F2"
        	    NODE cpu1-fan fru
        	    ENDNODE
            ENDNODE
	    NODE F3 location
	        PROP SlotType string r 0 "fan-unit"
	        PROP Label string r 0 "F3"
        	    NODE outtake-fan fru
        	    ENDNODE
	    ENDNODE
	    NODE PS0 location
	        PROP SlotType string r 0 "power-supply"
	        PROP Label string r 0 "PS0"
        	    NODE power-supply fru
        	    ENDNODE
	    ENDNODE
	    NODE SCSI-BP fru				
	    	PROP FRUDataAvailable void r
	    	REFPROP _seeprom_source /platform/pci@1e,600000/isa@7/i2c@0,320/scsi-backplane-fru-prom
	    	NODE HDD0 location
		    PROP SlotType string r 0 "disk-slot"
		    PROP Label string r 0 "HDD0"
	    	ENDNODE
	    	NODE HDD1 location
		    PROP SlotType string r 0 "disk-slot"
		    PROP Label string r 0 "HDD1"
	    	ENDNODE
	    ENDNODE
            NODE RM0 location
                PROP SlotType string r 0 "cdrom-slot"
                PROP Label string r 0 "RM0"
            ENDNODE
    ENDNODE
ENDNODE


name:/frutree/chassis/SCSI-BP/HDD0
        REFNODE disk fru WITH name:/platform/pci@1d,700000/scsi@4/sd@0,0
name:/frutree/chassis/SCSI-BP/HDD1
        REFNODE disk fru WITH name:/platform/pci@1d,700000/scsi@4/sd@1,0
name:/frutree/chassis/RM0
        REFNODE cdrom fru WITH name:/platform/pci@1e,600000/ide@d/sd@2,0

name:/frutree/chassis/MB
# 1 "./system-board.info" 1









NODE system-board fru
    NODE pci-slot location
    	PROP Label string r 0 "PCI5"
	PROP SlotType string r 0 "pci"
    ENDNODE
    NODE pci-slot location
    	PROP Label string r 0 "PCI4"
	PROP SlotType string r 0 "pci"
    ENDNODE
    NODE pci-slot location
    	PROP Label string r 0 "PCI3"
	PROP SlotType string r 0 "pci"
    ENDNODE
    NODE pci-slot location
    	PROP Label string r 0 "PCI2"
	PROP SlotType string r 0 "pci"
    ENDNODE
    NODE pci-slot location
    	PROP Label string r 0 "PCI1"
	PROP SlotType string r 0 "pci"
    ENDNODE
    NODE pci-slot location
    	PROP Label string r 0 "PCI0"
	PROP SlotType string r 0 "pci"
    ENDNODE
    NODE audio-slot location
    	PROP Label string r 0 "ARC"
	PROP SlotType string r 0 "audio"
    ENDNODE
    NODE cpu-slot location
    	PROP Label string r 0 "0"
    	PROP Slot uint r 4 0
	PROP SlotType string r 0 "cpu"
    ENDNODE
    NODE cpu-slot location
    	PROP Label string r 0 "1"
    	PROP Slot uint r 4 1
	PROP SlotType string r 0 "cpu"
    ENDNODE
    NODE mem-slot location
    	PROP Slot uint r 4 1
    	PROP Label string r 0 "DIMM0"
	PROP SlotType string r 0 "memory-module"
    ENDNODE
    NODE mem-slot location
      	PROP Slot uint r 4 2
    	PROP Label string r 0 "DIMM1"
	PROP SlotType string r 0 "memory-module"
    ENDNODE
    NODE mem-slot location
      	PROP Slot uint r 4 3
    	PROP Label string r 0 "DIMM2"
	PROP SlotType string r 0 "memory-module"
    ENDNODE
    NODE mem-slot location
      	PROP Slot uint r 4 4
    	PROP Label string r 0 "DIMM3"
	PROP SlotType string r 0 "memory-module"
    ENDNODE
    NODE mem-slot location
      	PROP Slot uint r 4 5
    	PROP Label string r 0 "DIMM4"
	PROP SlotType string r 0 "memory-module"
    ENDNODE
    NODE mem-slot location
      	PROP Slot uint r 4 6
    	PROP Label string r 0 "DIMM5"
	PROP SlotType string r 0 "memory-module"
    ENDNODE
    NODE mem-slot location
      	PROP Slot uint r 4 7
    	PROP Label string r 0 "DIMM6"
	PROP SlotType string r 0 "memory-module"
    ENDNODE
    NODE mem-slot location
      	PROP Slot uint r 4 8
    	PROP Label string r 0 "DIMM7"
	PROP SlotType string r 0 "memory-module"
    ENDNODE
ENDNODE




name:/frutree/chassis/MB/system-board/cpu-slot?Slot=0
REFNODE cpu-module fru WITH _class:/jbus/cpu?ID=0

name:/frutree/chassis/MB/system-board/cpu-slot?Slot=1
REFNODE cpu-module fru WITH _class:/jbus/cpu?ID=1




name:/frutree/chassis/MB/system-board
PROP FRUDataAvailable void r
REFPROP _seeprom_source /platform/pci@1e,600000/isa@7/i2c@0,320/motherboard-fru-prom@0,a2




name:/frutree/chassis/MB/system-board/mem-slot?Label=DIMM0
REFNODE mem-module fru WITH /platform/pci@1e,600000/isa@7/i2c@0,320/dimm-spd@0,b6

name:/frutree/chassis/MB/system-board/mem-slot?Label=DIMM1
REFNODE mem-module fru WITH /platform/pci@1e,600000/isa@7/i2c@0,320/dimm-spd@0,b8

name:/frutree/chassis/MB/system-board/mem-slot?Label=DIMM2
REFNODE mem-module fru WITH /platform/pci@1e,600000/isa@7/i2c@0,320/dimm-spd@0,ba

name:/frutree/chassis/MB/system-board/mem-slot?Label=DIMM3
REFNODE mem-module fru WITH /platform/pci@1e,600000/isa@7/i2c@0,320/dimm-spd@0,bc

name:/frutree/chassis/MB/system-board/mem-slot?Label=DIMM4
REFNODE mem-module fru WITH /platform/pci@1e,600000/isa@7/i2c@0,320/dimm-spd@0,c6

name:/frutree/chassis/MB/system-board/mem-slot?Label=DIMM5
REFNODE mem-module fru WITH /platform/pci@1e,600000/isa@7/i2c@0,320/dimm-spd@0,c8

name:/frutree/chassis/MB/system-board/mem-slot?Label=DIMM6
REFNODE mem-module fru WITH /platform/pci@1e,600000/isa@7/i2c@0,320/dimm-spd@0,ca

name:/frutree/chassis/MB/system-board/mem-slot?Label=DIMM7
REFNODE mem-module fru WITH /platform/pci@1e,600000/isa@7/i2c@0,320/dimm-spd@0,cc




name:/frutree/chassis/MB/system-board/mem-slot?Label=DIMM0/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source /platform/pci@1e,600000/isa@7/i2c@0,320/dimm-spd@0,b6

name:/frutree/chassis/MB/system-board/mem-slot?Label=DIMM1/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source /platform/pci@1e,600000/isa@7/i2c@0,320/dimm-spd@0,b8

name:/frutree/chassis/MB/system-board/mem-slot?Label=DIMM2/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source /platform/pci@1e,600000/isa@7/i2c@0,320/dimm-spd@0,ba

name:/frutree/chassis/MB/system-board/mem-slot?Label=DIMM3/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source /platform/pci@1e,600000/isa@7/i2c@0,320/dimm-spd@0,bc

name:/frutree/chassis/MB/system-board/mem-slot?Label=DIMM4/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source /platform/pci@1e,600000/isa@7/i2c@0,320/dimm-spd@0,c6

name:/frutree/chassis/MB/system-board/mem-slot?Label=DIMM5/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source /platform/pci@1e,600000/isa@7/i2c@0,320/dimm-spd@0,c8

name:/frutree/chassis/MB/system-board/mem-slot?Label=DIMM6/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source /platform/pci@1e,600000/isa@7/i2c@0,320/dimm-spd@0,ca

name:/frutree/chassis/MB/system-board/mem-slot?Label=DIMM7/mem-module
PROP FRUDataAvailable void r
REFPROP _seeprom_source /platform/pci@1e,600000/isa@7/i2c@0,320/dimm-spd@0,cc




name:/platform/memory-controller?portid=0/memory-module-group?ID=0/memory-module?ID=0
REFPROP _fru_parent /frutree/chassis/MB/system-board/mem-slot?Label=DIMM0/mem-module

name:/platform/memory-controller?portid=0/memory-module-group?ID=0/memory-module?ID=1
REFPROP _fru_parent /frutree/chassis/MB/system-board/mem-slot?Label=DIMM1/mem-module

name:/platform/memory-controller?portid=0/memory-module-group?ID=1/memory-module?ID=0
REFPROP _fru_parent /frutree/chassis/MB/system-board/mem-slot?Label=DIMM2/mem-module

name:/platform/memory-controller?portid=0/memory-module-group?ID=1/memory-module?ID=1
REFPROP _fru_parent /frutree/chassis/MB/system-board/mem-slot?Label=DIMM3/mem-module

name:/platform/memory-controller?portid=1/memory-module-group?ID=0/memory-module?ID=0
REFPROP _fru_parent /frutree/chassis/MB/system-board/mem-slot?Label=DIMM4/mem-module

name:/platform/memory-controller?portid=1/memory-module-group?ID=0/memory-module?ID=1
REFPROP _fru_parent /frutree/chassis/MB/system-board/mem-slot?Label=DIMM5/mem-module

name:/platform/memory-controller?portid=1/memory-module-group?ID=1/memory-module?ID=0
REFPROP _fru_parent /frutree/chassis/MB/system-board/mem-slot?Label=DIMM6/mem-module

name:/platform/memory-controller?portid=1/memory-module-group?ID=1/memory-module?ID=1
REFPROP _fru_parent /frutree/chassis/MB/system-board/mem-slot?Label=DIMM7/mem-module





_class:/jbus/cpu?ID=0
REFPROP _fru_parent /frutree/chassis/MB/system-board/cpu-slot?Slot=0/cpu-module

name:/platform/memory-controller?portid=0
REFPROP _fru_parent /frutree/chassis/MB/system-board/cpu-slot?Slot=0/cpu-module

_class:/jbus/cpu?ID=1
REFPROP _fru_parent /frutree/chassis/MB/system-board/cpu-slot?Slot=1/cpu-module

name:/platform/memory-controller?portid=1
REFPROP _fru_parent /frutree/chassis/MB/system-board/cpu-slot?Slot=1/cpu-module




_class:/jbus
REFPROP _fru_parent /frutree/chassis/MB/system-board




name:/frutree/chassis/MB/system-board/audio-slot
REFNODE audio-card fru WITH name:/platform/pci@1e,600000/isa@7/i2c@0,320/audio-card-fru-prom

name:/frutree/chassis/MB/system-board/audio-slot/audio-card
PROP FRUDataAvailable void r
REFPROP _seeprom_source /platform/pci@1e,600000/isa@7/i2c@0,320/audio-card-fru-prom




name:/frutree/chassis/MB/system-board/pci-slot?Label=PCI5
REFNODE pci-card fru WITH _class:/jbus/pci@1f,700000/picl?DeviceID=2

name:/frutree/chassis/MB/system-board/pci-slot?Label=PCI4
REFNODE pci-card fru WITH _class:/jbus/pci@1e,600000/picl?DeviceID=2

name:/frutree/chassis/MB/system-board/pci-slot?Label=PCI3
REFNODE pci-card fru WITH _class:/jbus/pci@1c,600000/picl?DeviceID=2

name:/frutree/chassis/MB/system-board/pci-slot?Label=PCI2
REFNODE pci-card fru WITH _class:/jbus/pci@1d,700000/picl?DeviceID=2

name:/frutree/chassis/MB/system-board/pci-slot?Label=PCI1
REFNODE pci-card fru WITH _class:/jbus/pci@1e,600000/picl?DeviceID=3

name:/frutree/chassis/MB/system-board/pci-slot?Label=PCI0
REFNODE pci-card fru WITH _class:/jbus/pci@1e,600000/picl?DeviceID=4




_class:/jbus/pci?UnitAddress=1f,700000/picl?DeviceID=2
REFPROP _fru_parent /frutree/chassis/MB/system-board/pci-slot?Label=PCI5/pci-card

_class:/jbus/pci?UnitAddress=1e,600000/picl?DeviceID=2
REFPROP _fru_parent /frutree/chassis/MB/system-board/pci-slot?Label=PCI4/pci-card

_class:/jbus/pci?UnitAddress=1c,600000/picl?DeviceID=2
REFPROP _fru_parent /frutree/chassis/MB/system-board/pci-slot?Label=PCI3/pci-card

_class:/jbus/pci?UnitAddress=1d,700000/picl?DeviceID=2
REFPROP _fru_parent /frutree/chassis/MB/system-board/pci-slot?Label=PCI2/pci-card

_class:/jbus/pci?UnitAddress=1e,600000/picl?DeviceID=3
REFPROP _fru_parent /frutree/chassis/MB/system-board/pci-slot?Label=PCI1/pci-card

_class:/jbus/pci?UnitAddress=1e,600000/picl?DeviceID=4
REFPROP _fru_parent /frutree/chassis/MB/system-board/pci-slot?Label=PCI0/pci-card




name:/platform/pci@1e,600000/isa@7/i2c@0,320/hardware-monitor@0,58/cpu0-fan
REFPROP _fru_parent	/frutree/chassis/F1/cpu0-fan

name:/platform/pci@1e,600000/isa@7/i2c@0,320/hardware-monitor@0,58/cpu1-fan
REFPROP _fru_parent	/frutree/chassis/F2/cpu1-fan

name:/platform/pci@1e,600000/isa@7/i2c@0,320/hardware-monitor@0,5c/outtake-fan
REFPROP _fru_parent	/frutree/chassis/F3/outtake-fan

name:/platform/pci@1e,600000/isa@7/i2c@0,320/hardware-monitor@0,5c/intake-fan
REFPROP _fru_parent	/frutree/chassis/F0/intake-fan

name:/platform/pci@1e,600000/isa@7/i2c@0,320/hardware-monitor@0,58/cpu0
REFPROP _fru_parent /frutree/chassis/MB/system-board/cpu-slot?Slot=0/cpu-module

name:/platform/pci@1e,600000/isa@7/i2c@0,320/hardware-monitor@0,58/cpu1
REFPROP _fru_parent /frutree/chassis/MB/system-board/cpu-slot?Slot=1/cpu-module

name:/platform/pci@1e,600000/isa@7/i2c@0,320/hardware-monitor@0,58/int-amb0
REFPROP _fru_parent /frutree/chassis/MB/system-board

name:/platform/pci@1e,600000/isa@7/i2c@0,320/hardware-monitor@0,5c/sys-out
REFPROP _fru_parent /frutree/chassis/MB/system-board

name:/platform/pci@1e,600000/isa@7/i2c@0,320/hardware-monitor@0,5c/sys-in
REFPROP _fru_parent /frutree/chassis/MB/system-board

name:/platform/pci@1e,600000/isa@7/i2c@0,320/hardware-monitor@0,5c/int-amb1
REFPROP _fru_parent /frutree/chassis/MB/system-board




name:/frutree/chassis/MB/system-board
	TABLE Devices
	ROW
	PROP Class string r 0 "temperature-sensor"
	REFPROP _temperature-sensor_ name:/platform/pci@1e,600000/isa@7/i2c@0,320/hardware-monitor@0,58/int-amb0
	ENDROW
	ROW
	PROP Class string r 0 "temperature-sensor"
	REFPROP _temperature-sensor_ name:/platform/pci@1e,600000/isa@7/i2c@0,320/hardware-monitor@0,5c/int-amb1
	ENDROW
	ROW
	PROP Class string r 0 "temperature-sensor"
	REFPROP _temperature-sensor_ name:/platform/pci@1e,600000/isa@7/i2c@0,320/hardware-monitor@0,5c/sys-in
	ENDROW
	ROW
	PROP Class string r 0 "temperature-sensor"
	REFPROP _temperature-sensor_ name:/platform/pci@1e,600000/isa@7/i2c@0,320/hardware-monitor@0,5c/sys-out
	ENDROW
	ENDTABLE




name:/frutree/chassis/MB/system-board/cpu-slot?Slot=0/cpu-module
	TABLE Devices
	ROW
	PROP Class string r 0 "temperature-sensor"
	REFPROP _temperature-sensor_ name:/platform/pci@1e,600000/isa@7/i2c@0,320/hardware-monitor@0,58/cpu0
	ENDROW
	ROW
	PROP Class string r 0 "cpu"
	REFPROP _cpu_ _class:/jbus/cpu?ID=0
	ENDROW
	ENDTABLE


name:/frutree/chassis/MB/system-board/cpu-slot?Slot=1/cpu-module
	TABLE Devices
	ROW
	PROP Class string r 0 "temperature-sensor"
	REFPROP _temperature-sensor_ name:/platform/pci@1e,600000/isa@7/i2c@0,320/hardware-monitor@0,58/cpu1
	ENDROW
	ROW
	PROP Class string r 0 "cpu"
	REFPROP _cpu_ _class:/jbus/cpu?ID=1
	ENDROW
	ENDTABLE




name:/frutree/chassis/SCSI-BP/HDD0/disk
	TABLE Device
	ROW
	PROP Class string r 0 "block"
	REFPROP _block_ name:/platform/pci@1d,700000/scsi@4/sd@0,0
	ENDROW
	ENDTABLE
name:/platform/pci@1d,700000/scsi@4/sd@0,0
	REFPROP _fru_parent name:/frutree/chassis/SCSI-BP/HDD0/disk

name:/frutree/chassis/SCSI-BP/HDD1/disk
	TABLE Device
	ROW
	PROP Class string r 0 "block"
	REFPROP _block_ name:/platform/pci@1d,700000/scsi@4/sd@1,0
	ENDROW
	ENDTABLE
name:/platform/pci@1d,700000/scsi@4/sd@1,0
	REFPROP _fru_parent name:/frutree/chassis/SCSI-BP/HDD1/disk

name:/frutree/chassis/RM0/cdrom
	TABLE Device
	ROW
	PROP Class string r 0 "cdrom"
	REFPROP _cdrom_ name:/platform/pci@1e,600000/ide@d/sd@2,0
	ENDROW
	ENDTABLE
name:/platform/pci@1e,600000/ide@d/sd@2,0
	REFPROP _fru_parent name:/frutree/chassis/RM0/cdrom
# 111 "piclfrutree.info" 2

